package game_room.rock_paper_scissors;
import java.util.Observable;

/**
 * A RotateStrategy cycles through choosing ROCK, PAPER, and SCISSORS
 * @author Krysta Yousoufian
 * @version CSE 331 Winter 2012, 3/8/2012
 */
public class RotateStrategy implements RPSStrategy {
	int weaponIdx;
	
	public RotateStrategy() {
		weaponIdx = 0;
	}
	
	/**
	 * Chooses rock for for this strategy.
	 * @return Weapon.ROCK
	 */
	public Weapon chooseWeapon() {
		Weapon[] weapons = Weapon.values();
		Weapon next = weapons[weaponIdx];
		weaponIdx = (weaponIdx + 1) % weapons.length;
		return next;
	}
	
	/**
	 * Required by Observer interface; not used in this strategy.
	 */
	public void update(Observable o, Object arg) {
		
	}
}
