package patterns_singleton;

import java.util.Scanner;

/**
 * Helper class for reading/writing from console (because in a real file
 * server, everything would come over the network, so the Client doesn't
 * necessarily need to deal with console I/O...)
 * 
 * @author Krysta
 *
 */
public class IOUtil {
	// global shared console scanner
	private static final Scanner CONSOLE = new Scanner(System.in);
	
	public static String getFilename() {
		System.out.print("Filename: ");
		return CONSOLE.next();
	}
}
